import SectionDetail from '@/business-components/section-detail'
import { defineComponent } from 'vue'
import styles from './single.module.less'

export default defineComponent({
  name: 'single',
  render() {
    return (
      <div class="single">
        <SectionDetail
          icon="personal"
          title="个人风采"
          size={24}
          border={false}
        >
          <p class={styles.introduction}>
            毕业于中央音乐学员长笛专业，师从央音长笛系
            曾获2016年锦绣杯长笛大赛冠军
            自2018年起研究长笛启蒙、考级到专业考试教育
            总结出一套适合各个阶段需要的教学方式所教学员考级通过率100%，专业院校复试率92%
          </p>
        </SectionDetail>

        <SectionDetail icon="elegant" title="老师风采" size={24} border={false}>
          <p class={styles.introduction}>
            毕业于中央音乐学员长笛专业，师从央音长笛系
            曾获2016年锦绣杯长笛大赛冠军
            自2018年起研究长笛启蒙、考级到专业考试教育
            总结出一套适合各个阶段需要的教学方式所教学员考级通过率100%，专业院校复试率92%
          </p>
        </SectionDetail>

        {[1, 2, 3, 4, 5].map(i => (
          <SectionDetail icon="fans" title="粉丝群" size={24} border={false}>
            <p class={styles.introduction}>
              毕业于中央音乐学员长笛专业，师从央音长笛系
              曾获2016年锦绣杯长笛大赛冠军
              自2018年起研究长笛启蒙、考级到专业考试教育
              总结出一套适合各个阶段需要的教学方式所教学员考级通过率100%，专业院校复试率92%
            </p>
          </SectionDetail>
        ))}
      </div>
    )
  }
})
